Package com.google.javascript.jscomp

# Class FunctionInformationMap.Module

java.lang.Object
com.google.protobuf.AbstractMessageLite
com.google.protobuf.AbstractMessage
com.google.protobuf.GeneratedMessageV3
com.google.javascript.jscomp.FunctionInformationMap.Module

All Implemented Interfaces:
  `FunctionInformationMap.ModuleOrBuilder`, `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `Serializable`

Enclosing class:
  `FunctionInformationMap`

public static final class FunctionInformationMap.Module extends com.google.protobuf.GeneratedMessageV3 implements FunctionInformationMap.ModuleOrBuilder
Protobuf type `jscomp.FunctionInformationMap.Module`

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`FunctionInformationMap.Module.Builder`
Protobuf type `jscomp.FunctionInformationMap.Module`

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`COMPILED_SOURCE_FIELD_NUMBER`
`static final int`
`NAME_FIELD_NUMBER`
`static final com.google.protobuf.Parser<FunctionInformationMap.Module>`
`PARSER`
Deprecated.

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getCompiledSource()`
`required string compiled_source = 103;`
`com.google.protobuf.ByteString`
`getCompiledSourceBytes()`
`required string compiled_source = 103;`
`static FunctionInformationMap.Module`
`getDefaultInstance()`
`FunctionInformationMap.Module`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`String`
`getName()`
`required string name = 102;`
`com.google.protobuf.ByteString`
`getNameBytes()`
`required string name = 102;`
`com.google.protobuf.Parser<FunctionInformationMap.Module>`
`getParserForType()`
`int`
`getSerializedSize()`
`final com.google.protobuf.UnknownFieldSet`
`getUnknownFields()`
`boolean`
`hasCompiledSource()`
`required string compiled_source = 103;`
`int`
`hashCode()`
`boolean`
`hasName()`
`required string name = 102;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`final boolean`
`isInitialized()`
`static FunctionInformationMap.Module.Builder`
`newBuilder()`
`static FunctionInformationMap.Module.Builder`
`newBuilder(FunctionInformationMap.Module prototype)`
`FunctionInformationMap.Module.Builder`
`newBuilderForType()`
`protected FunctionInformationMap.Module.Builder`
`newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`protected Object`
`newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
`static FunctionInformationMap.Module`
`parseDelimitedFrom(InputStream input)`
`static FunctionInformationMap.Module`
`parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static FunctionInformationMap.Module`
`parseFrom(byte[] data)`
`static FunctionInformationMap.Module`
`parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static FunctionInformationMap.Module`
`parseFrom(com.google.protobuf.ByteString data)`
`static FunctionInformationMap.Module`
`parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static FunctionInformationMap.Module`
`parseFrom(com.google.protobuf.CodedInputStream input)`
`static FunctionInformationMap.Module`
`parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static FunctionInformationMap.Module`
`parseFrom(InputStream input)`
`static FunctionInformationMap.Module`
`parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static FunctionInformationMap.Module`
`parseFrom(ByteBuffer data)`
`static FunctionInformationMap.Module`
`parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<FunctionInformationMap.Module>`
`parser()`
`FunctionInformationMap.Module.Builder`
`toBuilder()`
`void`
`writeTo(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, isStringEmpty, makeExtensionsImmutable, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

## Field Details

### NAME_FIELD_NUMBER

public static final int NAME_FIELD_NUMBER

See Also:
  - Constant Field Values

### COMPILED_SOURCE_FIELD_NUMBER

public static final int COMPILED_SOURCE_FIELD_NUMBER

See Also:
  - Constant Field Values

### PARSER

@Deprecated public static final com.google.protobuf.Parser<FunctionInformationMap.Module> PARSER
Deprecated.

## Method Details

### newInstance

protected Object newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

Overrides:
  `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

### getUnknownFields

public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

### hasName

public boolean hasName()
`required string name = 102;`

Specified by:
  `hasName` in interface `FunctionInformationMap.ModuleOrBuilder`
Returns:
  Whether the name field is set.

### getName

public String getName()
`required string name = 102;`

Specified by:
  `getName` in interface `FunctionInformationMap.ModuleOrBuilder`
Returns:
  The name.

### getNameBytes

public com.google.protobuf.ByteString getNameBytes()
`required string name = 102;`

Specified by:
  `getNameBytes` in interface `FunctionInformationMap.ModuleOrBuilder`
Returns:
  The bytes for name.

### hasCompiledSource

public boolean hasCompiledSource()
`required string compiled_source = 103;`

Specified by:
  `hasCompiledSource` in interface `FunctionInformationMap.ModuleOrBuilder`
Returns:
  Whether the compiledSource field is set.

### getCompiledSource

public String getCompiledSource()
`required string compiled_source = 103;`

Specified by:
  `getCompiledSource` in interface `FunctionInformationMap.ModuleOrBuilder`
Returns:
  The compiledSource.

### getCompiledSourceBytes

public com.google.protobuf.ByteString getCompiledSourceBytes()
`required string compiled_source = 103;`

Specified by:
  `getCompiledSourceBytes` in interface `FunctionInformationMap.ModuleOrBuilder`
Returns:
  The bytes for compiledSource.

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

### writeTo

public void writeTo(com.google.protobuf.CodedOutputStream output) throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

### getSerializedSize

public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

### equals

public boolean equals(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

### hashCode

public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

### parseFrom

public static FunctionInformationMap.Module parseFrom(ByteBuffer data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static FunctionInformationMap.Module parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static FunctionInformationMap.Module parseFrom(com.google.protobuf.ByteString data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static FunctionInformationMap.Module parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static FunctionInformationMap.Module parseFrom(byte[] data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static FunctionInformationMap.Module parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static FunctionInformationMap.Module parseFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static FunctionInformationMap.Module parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static FunctionInformationMap.Module parseDelimitedFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static FunctionInformationMap.Module parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseFrom

public static FunctionInformationMap.Module parseFrom(com.google.protobuf.CodedInputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static FunctionInformationMap.Module parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### newBuilderForType

public FunctionInformationMap.Module.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

### newBuilder

public static FunctionInformationMap.Module.Builder newBuilder()

### newBuilder

public static FunctionInformationMap.Module.Builder newBuilder(FunctionInformationMap.Module prototype)

### toBuilder

public FunctionInformationMap.Module.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

### newBuilderForType

protected FunctionInformationMap.Module.Builder newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstance

public static FunctionInformationMap.Module getDefaultInstance()

### parser

public static com.google.protobuf.Parser<FunctionInformationMap.Module> parser()

### getParserForType

public com.google.protobuf.Parser<FunctionInformationMap.Module> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstanceForType

public FunctionInformationMap.Module getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`